# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitNewProjectOptionsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitNewProjectOptionsDialog(object):
    def setupUi(self, GitNewProjectOptionsDialog):
        GitNewProjectOptionsDialog.setObjectName("GitNewProjectOptionsDialog")
        GitNewProjectOptionsDialog.resize(562, 110)
        GitNewProjectOptionsDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(GitNewProjectOptionsDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.TextLabel2 = QtWidgets.QLabel(parent=GitNewProjectOptionsDialog)
        self.TextLabel2.setObjectName("TextLabel2")
        self.gridLayout.addWidget(self.TextLabel2, 0, 0, 1, 1)
        self.vcsUrlCombo = QtWidgets.QComboBox(parent=GitNewProjectOptionsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.vcsUrlCombo.sizePolicy().hasHeightForWidth())
        self.vcsUrlCombo.setSizePolicy(sizePolicy)
        self.vcsUrlCombo.setEditable(True)
        self.vcsUrlCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.vcsUrlCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToContents)
        self.vcsUrlCombo.setObjectName("vcsUrlCombo")
        self.gridLayout.addWidget(self.vcsUrlCombo, 0, 1, 1, 1)
        self.vcsUrlButton = QtWidgets.QToolButton(parent=GitNewProjectOptionsDialog)
        self.vcsUrlButton.setObjectName("vcsUrlButton")
        self.gridLayout.addWidget(self.vcsUrlButton, 0, 2, 1, 1)
        self.vcsUrlClearHistoryButton = QtWidgets.QToolButton(parent=GitNewProjectOptionsDialog)
        self.vcsUrlClearHistoryButton.setObjectName("vcsUrlClearHistoryButton")
        self.gridLayout.addWidget(self.vcsUrlClearHistoryButton, 0, 3, 1, 1)
        self.TextLabel4 = QtWidgets.QLabel(parent=GitNewProjectOptionsDialog)
        self.TextLabel4.setObjectName("TextLabel4")
        self.gridLayout.addWidget(self.TextLabel4, 1, 0, 1, 1)
        self.vcsProjectDirEdit = QtWidgets.QLineEdit(parent=GitNewProjectOptionsDialog)
        self.vcsProjectDirEdit.setObjectName("vcsProjectDirEdit")
        self.gridLayout.addWidget(self.vcsProjectDirEdit, 1, 1, 1, 1)
        self.projectDirButton = QtWidgets.QToolButton(parent=GitNewProjectOptionsDialog)
        self.projectDirButton.setObjectName("projectDirButton")
        self.gridLayout.addWidget(self.projectDirButton, 1, 2, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitNewProjectOptionsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 4)
        self.TextLabel2.setBuddy(self.vcsUrlCombo)
        self.TextLabel4.setBuddy(self.vcsProjectDirEdit)

        self.retranslateUi(GitNewProjectOptionsDialog)
        self.buttonBox.accepted.connect(GitNewProjectOptionsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitNewProjectOptionsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitNewProjectOptionsDialog)
        GitNewProjectOptionsDialog.setTabOrder(self.vcsUrlCombo, self.vcsUrlButton)
        GitNewProjectOptionsDialog.setTabOrder(self.vcsUrlButton, self.vcsProjectDirEdit)
        GitNewProjectOptionsDialog.setTabOrder(self.vcsProjectDirEdit, self.projectDirButton)

    def retranslateUi(self, GitNewProjectOptionsDialog):
        _translate = QtCore.QCoreApplication.translate
        GitNewProjectOptionsDialog.setWindowTitle(_translate("GitNewProjectOptionsDialog", "New Project from Repository"))
        GitNewProjectOptionsDialog.setWhatsThis(_translate("GitNewProjectOptionsDialog", "<b>New Project from Repository Dialog</b>\n"
"<p>Enter the various repository infos into the entry fields. These values are used, when the new project is retrieved from the repository.</p>\n"
"<p>For remote repositories the URL must contain the hostname.</p>"))
        self.TextLabel2.setText(_translate("GitNewProjectOptionsDialog", "&URL:"))
        self.vcsUrlCombo.setToolTip(_translate("GitNewProjectOptionsDialog", "Enter the URL of the repository"))
        self.vcsUrlButton.setToolTip(_translate("GitNewProjectOptionsDialog", "Select the repository url via a directory selection dialog"))
        self.vcsUrlClearHistoryButton.setToolTip(_translate("GitNewProjectOptionsDialog", "Press to clear the history of entered repository URLs"))
        self.TextLabel4.setText(_translate("GitNewProjectOptionsDialog", "Project &Directory:"))
        self.vcsProjectDirEdit.setToolTip(_translate("GitNewProjectOptionsDialog", "Enter the directory of the new project."))
        self.vcsProjectDirEdit.setWhatsThis(_translate("GitNewProjectOptionsDialog", "<b>Project Directory</b>\n"
"<p>Enter the directory of the new project. It will be retrieved from \n"
"the repository and be placed in this directory.</p>"))
